# Uses of Interface
net.shibboleth.shared.resolver.Criterion

Packages that use Criterion
Package
Description
net.shibboleth.shared.resolver
Interfaces for searching over data.
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of Criterion in net.shibboleth.shared.resolver

Classes in net.shibboleth.shared.resolver that implement Criterion
Modifier and Type
Class
Description
`class`
`ClassCriterion<T>`
A `Criterion` based on class type.
`class`
`CriteriaSet`
This class holds instances of `Criterion` which are used in resolution or evaluation operations.
Fields in net.shibboleth.shared.resolver with type parameters of type Criterion
Modifier and Type
Field
Description
`private Map<Class<? extends Criterion>,Class<? extends Predicate<T>>>`
CriterionPredicateRegistry.`registry`
Storage for the registry mappings.
Methods in net.shibboleth.shared.resolver with parameters of type Criterion
Modifier and Type
Method
Description
`Predicate<T>`
CriterionPredicateRegistry.`getPredicate(Criterion criterion)`
Get an instance of `Predicate` which can evaluate the supplied criterion's requirements against a target of the specified type.
Method parameters in net.shibboleth.shared.resolver with type arguments of type Criterion
Modifier and Type
Method
Description
`void`
CriterionPredicateRegistry.`deregister(Class<? extends Criterion> criterionClass)`
Deregister a criterion-evaluator mapping.
`protected Class<? extends Predicate<T>>`
CriterionPredicateRegistry.`lookup(Class<? extends Criterion> clazz)`
Lookup the predicate class type which is registered for the specified Criterion class.
`void`
CriterionPredicateRegistry.`register(Class<? extends Criterion> criterionClass, Class<? extends Predicate<T>> predicateClass)`
Register a `Predicate` class for a criterion class.
Constructors in net.shibboleth.shared.resolver with parameters of type Criterion
Modifier
Constructor
Description
``
`CriteriaSet(Criterion... criteria)`
A convenience constructor for constructing and adding criteria.

## Uses of Criterion in net.shibboleth.shared.testing

Classes in net.shibboleth.shared.testing that implement Criterion
Modifier and Type
Class
Description
`class`
`MockExceptionCriterion`
A mock `Criterion` to cause a resolver to raise an exception.